Module java.corba
Package org.omg.CORBA.portable

## Interface ResponseHandler

-     public interface ResponseHandler

  This interface is supplied by an ORB to a servant at invocation time and allows the servant to later retrieve an OutputStream for returning the invocation results.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OutputStream` | `createExceptionReply​()` | Called by the servant during a method invocation.
    `OutputStream` | `createReply​()` | Called by the servant during a method invocation.

- - ### Method Detail

    - #### createReply

          OutputStream createReply​()

      Called by the servant during a method invocation. The servant should call this method to create a reply marshal buffer if no exception occurred.
      Returns:
        an OutputStream suitable for marshalling the reply.
      See Also:
        `portable` package comments for unimplemented features

    - #### createExceptionReply

          OutputStream createExceptionReply​()

      Called by the servant during a method invocation. The servant should call this method to create a reply marshal buffer if a user exception occurred.
      Returns:
        an OutputStream suitable for marshalling the exception ID and the user exception body.